Method: advertisers.negativeKeywordLists.negativeKeywords.bulkEdit

একটি নেগেটিভ কীওয়ার্ডের তালিকায় বাল্ক এডিট নেগেটিভ কীওয়ার্ড।

এই অপারেশন BulkEditNegativeKeywordsRequest.deleted_negative_keywords-এ দেওয়া নেগেটিভ কীওয়ার্ড মুছে দেবে এবং তারপর BulkEditNegativeKeywordsRequest.created_negative_keywords-এ দেওয়া নেগেটিভ কীওয়ার্ড তৈরি করবে।

এই অপারেশনটি অ্যাটমিক হওয়ার গ্যারান্টি দেওয়া হয় এবং এটি কখনই আংশিক সাফল্য বা আংশিক ব্যর্থতার ফলাফল দেবে না।

HTTP অনুরোধ

POST https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords:bulkEdit

URL-এ gRPC ট্রান্সকোডিং সিনট্যাক্স ব্যবহার করা হয়।

পাথ প্যারামিটার

প্যারামিটারগুলি
advertiserId

string (int64 format)

প্রয়োজনীয়। DV360 বিজ্ঞাপনদাতার আইডি যার সাথে মূল নেগেটিভ কীওয়ার্ডের তালিকা সম্পর্কিত।

negativeKeywordListId

string (int64 format)

প্রয়োজনীয়। নেগেটিভ কীওয়ার্ডের মূল তালিকার আইডি, যেখানে নেগেটিভ কীওয়ার্ডগুলি অন্তর্ভুক্ত।

অনুরোধের বডি

অনুরোধের প্রধান অংশে নিম্নলিখিত স্ট্রাকচার সহ ডেটা থাকে:

JSON উপস্থাপনা
{
  "deletedNegativeKeywords": [
    string
  ],
  "createdNegativeKeywords": [
    {
      object (NegativeKeyword)
    }
  ]
}
ফিল্ড
deletedNegativeKeywords[]

string

ব্যাচে মুছে ফেলার জন্য নেগেটিভ কীওয়ার্ড, keyword_values-এর তালিকা হিসেবে নির্দিষ্ট করা হয়েছে।

createdNegativeKeywords[]

object (NegativeKeyword)

ব্যাচে তৈরি করার জন্য নেগেটিভ কীওয়ার্ড, NegativeKeywords-এর তালিকা হিসেবে নির্দিষ্ট করা হয়েছে।

প্রতিক্রিয়ার বডি

NegativeKeywordService.BulkEditNegativeKeywords-এর জন্য উত্তর মেসেজ।

সফল হলে, প্রতিক্রিয়ার বডিতে নিচে উল্লেখ করা স্ট্রাকচার সহ ডেটা থাকে:

JSON উপস্থাপনা
{
  "negativeKeywords": [
    {
      object (NegativeKeyword)
    }
  ]
}
ফিল্ড
negativeKeywords[]

object (NegativeKeyword)

নেগেটিভ কীওয়ার্ডের তালিকা তৈরি করা হয়েছে।

খালি থাকলে এই তালিকাটি অনুপস্থিত থাকবে।

অনুমোদনের স্কোপ

এটির জন্য নিম্নলিখিত OAuth স্কোপ প্রয়োজন:

  • https://www.googleapis.com/auth/display-video

আরও তথ্যের জন্য, OAuth 2.0 Overview দেখুন।